Bug 795099 - (share-like-connect) Review Request: share-like-connect - Share, like and connect concept for Plasma Active
Review Request: share-like-connect - Share, like and connect concept for Plas...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-02-19 06:06 EST by Radek Novacek
Modified: 2016-11-30 19:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-22 06:01:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Radek Novacek 2012-02-19 06:06:06 EST
Spec URL: http://rnovacek.fedorapeople.org/share-like-connect.spec
SRPM URL: http://rnovacek.fedorapeople.org/share-like-connect-0.2-1.fc16.src.rpm
Description: Share, like and connect concept for Plasma Active.

Share-like-connect is part of Plasma Active project.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3802642

RPMLint result:
share-like-connect.x86_64: E: invalid-soname /usr/lib64/libactivecontentservice.so libactivecontentservice.so
share-like-connect.x86_64: E: invalid-soname /usr/lib64/libsharelikeconnect.so libsharelikeconnect.so
share-like-connect-devel.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 2 errors, 1 warnings.
Comment 1 Jaroslav Reznik 2012-02-21 10:44:49 EST
Name: ok
Summary: ok
License: ok, LGPLv2+
URL: ok
Sources: ok (md5sum 432df8b41c6bcf807f3db66c7b676139)
BRs: ok
Description: ok
Macros used consistently: ok
Ldconfig: ok
Docs: ok
File section: ok

Invalid soname: not ok, pls, check it.

Otherwise really simple package.
Comment 2 Jaroslav Reznik 2012-02-21 10:53:06 EST
From KDE SIG meeting: "Unversioned shlibs are not a review blocker."

APPROVED
Comment 3 Radek Novacek 2012-02-21 11:14:39 EST
New Package SCM Request
=======================
Package Name: share-like-connect
Short Description: Share, like and connect concept for Plasma Active
Owners: than rdieter jreznik ltinkl rnovacek kkofler
Branches: f17
Comment 4 Jon Ciesla 2012-02-21 11:21:35 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-02-22 05:59:57 EST
share-like-connect-0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/share-like-connect-0.2-1.fc17
Comment 6 Jon Ciesla 2012-02-22 08:31:49 EST
This was already done, why set the cvs flag again?
Comment 7 Radek Novacek 2012-02-22 08:40:59 EST
Sorry I had to set it by accident.
Comment 8 Fedora Update System 2012-02-28 05:42:00 EST
share-like-connect-0.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.